PearPear

Create trade account

Add a new trade account with exchange credentials

POST
/trade-accounts
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/trade-accounts" \  -H "Content-Type: application/json" \  -d '{    "connector": "hyperliquid",    "alias": "string",    "exchangeIdentifier": "0x1f9840a85d5af5bf1d1762f925bdaddc4201f984",    "credentials": {      "signer_key": "0xdeadbeef"    },    "metadata": {      "agentWalletAddress": "0x1f9840a85d5af5bf1d1762f925bdaddc4201f984",      "isSubaccount": true,      "mainAccountAddress": "0x1f9840a85d5af5bf1d1762f925bdaddc4201f984"    }  }'
{  "account": {    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",    "alias": "string",    "connector": "hyperliquid",    "exchangeIdentifier": "string",    "metadata": {      "agentWalletAddress": "string",      "isSubaccount": true,      "mainAccountAddress": "string"    },    "createdAt": "string",    "updatedAt": "string",    "deletedAt": "string"  }}